GET /schools
Summary: Search schools
Operation ID: searchSchools
Auth: unknown
Operation ID: searchSchools
Auth: unknown
Description
Search for colleges and universities with various filters and fields.
Parameters (14)
api_key
(string, query, optional)
API key for data.gov (optional but recommended)
fields
(string, query, optional)
Comma-separated list of fields to return
latest.admissions.admission_rate.overall
(number, query, optional)
Filter by admission rate
latest.cost.attendance.academic_year
(number, query, optional)
Filter by cost of attendance
latest.student.size
(integer, query, optional)
Filter by student enrollment size
page
(integer, query, optional, default: 0)
Page number for pagination
per_page
(integer, query, optional, default: 20)
Number of results per page (max 100)
Constraints: {'maximum': 100}
school.city
(string, query, optional)
Filter by city
school.degrees_awarded.predominant
(integer, query, optional)
Filter by predominant degree awarded
school.name
(string, query, optional)
Filter by school name (partial match)
school.ownership
(integer, query, optional)
Filter by ownership (1=Public, 2=Private nonprofit, 3=Private for-profit)
Constraints: {'enum': [1, 2, 3]}
school.state
(string, query, optional)
Filter by state abbreviation (e.g., 'CA', 'NY')
school.zip
(string, query, optional)
Filter by ZIP code
sort
(string, query, optional)
Field to sort by
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Search colleges by name | curl |
https://collegescorecard.ed.gov/schools?school.name=Harvard |
|
| Search colleges by state with limited fields | curl |
https://collegescorecard.ed.gov/schools?school.state=CA&fields=id,school.name,school.city,latest.student.size |
|
| Search with pagination | curl |
https://collegescorecard.ed.gov/schools?school.city=Boston&_page=0&_per_page=20 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:47:15.880268 | 404 | 339ms | |
| 2026-03-23 09:48:31.362084 | 404 | 310ms | |
| 2026-03-23 09:01:40.844953 | 404 | 586ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:48:31.362084 | 3ce54b6b4d79 |
cd4a974758b2 |
| 2026-03-23 10:47:15.880268 | cd4a974758b2 |
5ae5ed1c607d |